%define lib_major 4
%define api 1.0
%define libname %mklibname dee %{api} %{lib_major}
%define gi_name %mklibname dee-gir %{api}
%define libnamedev %mklibname -d dee

Name: dee
Summary: Model to synchronize mutiple instances over DBus
Version: 1.2.7
Release: %mkrel 13
License: LGPLv2+
Group: System/Libraries
Source0: http://launchpad.net/dee/1.0/%{version}/+download/dee-%{version}.tar.gz
URL: https://launchpad.net/dee
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0) >= 2.26
BuildRequires: pkgconfig(gthread-2.0) >= 2.26
BuildRequires: pkgconfig(gobject-2.0) >= 2.26
BuildRequires: pkgconfig(gio-2.0) >= 2.26
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.26
BuildRequires: gobject-introspection-devel
BuildRequires: vala-tools
BuildRequires: vala-devel
BuildRequires: icu-devel
Requires: python-gi

%description
Libdee is a library that uses DBus to provide objects allowing you to create
Model-View-Controller type programs across DBus. It also consists of utility
objects which extend DBus allowing for peer-to-peer discoverability of known
objects without needing a central registrar.

%package -n %{libname}
Summary: Model to synchronize mutiple instances over DBus - Shared lib
Group: System/Libraries

%description -n %{libname}
Libdee is a library that uses DBus to provide objects allowing you to create
Model-View-Controller type programs across DBus. It also consists of utility
objects which extend DBus allowing for peer-to-peer discoverability of known
objects without needing a central registrar.

%package -n %{gi_name}
Summary: GObject Introspection interface library for %{name}
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package -n %{libnamedev}
Summary: Libraries and include files for developing with libdee
Group: Development/C
Requires: %{libname} = %{version}
Requires: %{gi_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains files that are needed to build applications.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/dee-tool
%{python_sitearch}/gi/overrides/Dee.*

%files -n %{libname}
%{_libdir}/libdee-%{api}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Dee-%{api}.typelib

%files -n %{libnamedev}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc/html/dee-*
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*


%changelog
* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.2.7-13.mga6
+ Revision: 1092688
- Rebuild for icu-58.2

* Fri May 13 2016 shlomif <shlomif> 1.2.7-12.mga6
+ Revision: 1015036
- Rebuild due to the new ICU

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.2.7-11.mga6
+ Revision: 917822
- rebuild for icu

* Fri Jul 24 2015 cjw <cjw> 1.2.7-10.mga6
+ Revision: 856783
- rebuild for icu 55

* Sun Jun 28 2015 wally <wally> 1.2.7-9.mga6
+ Revision: 847169
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 1.2.7-8.mga5
+ Revision: 742943
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1.2.7-7.mga5
+ Revision: 731117
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1.2.7-6.mga5
+ Revision: 678706
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.2.7-5.mga5
+ Revision: 628153
- Rebuild for new Python

* Sat Apr 05 2014 wally <wally> 1.2.7-4.mga5
+ Revision: 611857
- rebuild for new icu

* Sat Nov 02 2013 fwang <fwang> 1.2.7-3.mga4
+ Revision: 548856
- add requires on python-gi

* Mon Oct 21 2013 umeabot <umeabot> 1.2.7-2.mga4
+ Revision: 537666
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 1.2.7-1.mga4
+ Revision: 487487
- new version 1.2.7

* Sun May 26 2013 fwang <fwang> 1.0.14-5.mga4
+ Revision: 427966
- rebuild for new icu

* Fri Jan 11 2013 umeabot <umeabot> 1.0.14-4.mga3
+ Revision: 348717
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 1.0.14-3.mga3
+ Revision: 316640
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1.0.14-2.mga3
+ Revision: 314724
- rebuild for new icu

* Sat Sep 08 2012 fwang <fwang> 1.0.14-1.mga3
+ Revision: 289860
- new version 1.0.14

* Sun Jun 10 2012 fwang <fwang> 1.0.10-1.mga3
+ Revision: 259244
- br icu
- new version 1.0.10

* Sun Jan 29 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 202850
- update file list
- update typelib api
- bump libmajor
- new version 1.0.0

* Sat Oct 01 2011 fwang <fwang> 0.5.22-2.mga2
+ Revision: 150791
- br dbus-glib for pkconfig file

* Sat Oct 01 2011 fwang <fwang> 0.5.22-1.mga2
+ Revision: 150775
- correct libname
- imported package dee

